/* 
 ***************************************************************************
 *                                                                             
 *  5765-145 (C) COPYRIGHT IBM CORP 1993
 *  5765-227 (C) COPYRIGHT IBM CORP 1993                                       
 *  5765-228 (C) COPYRIGHT IBM CORP 1993                                       
 *                                                                             
 ***************************************************************************
 Module Name     : pacct.c
 Abtract         : Sample program using llr_get_history function
 ***************************************************************************
 */

/****************************************************************
* Read through the history of LoadL jobs and print a summary of 
* that information. This may take a long time.
****************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "llrapi.h"

main(int argc, char *argv[])
{
	int	formatjob(LLR_job *fj);
	int	version = LLR_JOB_VERSION;

	if (argc < 2 ) {
		printf("Usage: llpjob <history_file>\n");
		exit(1);
	}
	*argv++;

	if (*argv) {
		llr_get_history( *argv, formatjob, version );
	} else {
		printf("No history file provided.\n");
	}

	exit(0);
}
